Loading...
Searching...
No Matches
OgreRenderQueue.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::RenderQueue
| Class to manage the scene object rendering queue. More...
class | Ogre::RenderQueue::RenderableListener
| Class to listen in on items being added to the render queue. More...

## Namespaces

namespace | Ogre

## Macros

#define | OGRE_RENDERABLE_DEFAULT_PRIORITY Ogre::Renderable::DEFAULT_PRIORITY

## Enumerations

enum

Ogre::RenderQueueGroupID {
Ogre::RENDER_QUEUE_BACKGROUND = 0 , Ogre::RENDER_QUEUE_SKIES_EARLY = 5 , Ogre::RENDER_QUEUE_1 = 10 , Ogre::RENDER_QUEUE_2 = 20 ,
Ogre::RENDER_QUEUE_WORLD_GEOMETRY_1 = 25 , Ogre::RENDER_QUEUE_3 = 30 , Ogre::RENDER_QUEUE_4 = 40 , Ogre::RENDER_QUEUE_MAIN = 50 ,
Ogre::RENDER_QUEUE_6 = 60 , Ogre::RENDER_QUEUE_7 = 70 , Ogre::RENDER_QUEUE_WORLD_GEOMETRY_2 = 75 , Ogre::RENDER_QUEUE_8 = 80 ,
Ogre::RENDER_QUEUE_SKIES_LATE = 90 , Ogre::RENDER_QUEUE_TRANSPARENTS = 95 , Ogre::RENDER_QUEUE_OVERLAY = 100 , Ogre::RENDER_QUEUE_MAX = 105 ,
Ogre::RENDER_QUEUE_COUNT
}

| Enumeration of queue groups, by which the application may group queued renderables so that they are rendered together with events in between. More...